# ComponentSelection

API Documentation: | `ComponentSelection`

Note: This class is incubating and may change in a future version of Gradle.

Represents a tuple of the component selector of a module and a candidate version to be evaluated in a component selection rule.

### Properties

No properties

### Methods

Method | Description
`reject(reason)` | Incubating Rejects the candidate for the resolution.

### Script blocks

No script blocks

### Method details

#### `void` `reject`(`String` reason)

Note: This method is incubating and may change in a future version of Gradle.

Rejects the candidate for the resolution.